M_WXRenWuCFG = {}

function M_WXRenWuCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_WXRenWuCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Group = 1, CannonFold = {12,43}, Name = "任意好友达到100炮倍", CompleteType = 201, CompleteParam = 0, CompleteCount = 100, AwardItemIDs = {1}, AwardItemCounts = {15000}}
	self.datas[2] = {ID = 2, Group = 1, CannonFold = {12,43}, Name = "任意好友达到300炮倍", CompleteType = 201, CompleteParam = 0, CompleteCount = 300, AwardItemIDs = {1}, AwardItemCounts = {30000}}
	self.datas[3] = {ID = 3, Group = 1, CannonFold = {12,43}, Name = "任意好友捕获2次boss", CompleteType = 202, CompleteParam = 0, CompleteCount = 2, AwardItemIDs = {1}, AwardItemCounts = {15000}}
	self.datas[4] = {ID = 4, Group = 1, CannonFold = {12,43}, Name = "任意好友捕获5次boss", CompleteType = 202, CompleteParam = 0, CompleteCount = 5, AwardItemIDs = {1,23}, AwardItemCounts = {30000,1}}
	self.datas[5] = {ID = 5, Group = 1, CannonFold = {12,43}, Name = "任意好友登录3天", CompleteType = 203, CompleteParam = 0, CompleteCount = 1, AwardItemIDs = {1,23}, AwardItemCounts = {100000,1}}
	self.datas[6] = {ID = 6, Group = 1, CannonFold = {12,43}, Name = "任意好友登录5天", CompleteType = 203, CompleteParam = 0, CompleteCount = 3, AwardItemIDs = {1,24}, AwardItemCounts = {150000,1}}
end

M_WXRenWuCFG:init()
